# R package name (pkg) version (ver) R release (rrel) and RPM release (rel)
%define pkg KernSmooth
%define ver 2.22
%define rrel 3
%define rel 4
%define __spec_install_post exit 0

Name: R-%{pkg}
Summary: R-package: Kernel Smoothing
Group: Applications/Engineering
Copyright: Unlimited distribution
URL: http://www.biostat.harvard.edu/~mwand
Packager: Martyn Plummer <plummer@iarc.fr>
Prefix: /usr
BuildRoot: /var/tmp/R-%{pkg}
Version: %{ver}.R%{rrel}
Release: %{rel}
Source: ftp://ftp.ci.tuwien.ac.at/pub/R/src/contrib/%{pkg}_%{ver}-%{rrel}.tar.gz
Requires: R-base
Excludearch: sparc

%description
Functions for kernel smoothing (and density estimation)
corresponding to the book: Wand, M.P. and Jones, M.C.
"Kernel Smoothing" Chapman & Hall, 1995.
ISBN: 0-412-55270-1

%prep
%setup -q -c

# --------------- Don't change anything below this line --------------

%build
#
export R_PACKAGE_NAME=${RPM_PACKAGE_NAME##R-}
mkdir --parents ${RPM_BUILD_ROOT}/usr/lib/R/library

# Some people leave object files in the source, which are not
# replaced. This removes them.
#
rm -f ${R_PACKAGE_NAME}/src/*.o
rm -f ${R_PACKAGE_NAME}/src/*.so

# Install it. You need R-base installed on your build machine for this
#
R INSTALL -l ${RPM_BUILD_ROOT}/usr/lib/R/library ${R_PACKAGE_NAME}

# Doc files. There is no standard here, so we assume anything not in
# one of the standard directories is documentation.
#
mkdir doc
for docfile in `ls ${R_PACKAGE_NAME}`; do
   case $docfile in
      INDEX) ;;
      TITLE) ;;
      R) ;;
      man) ;;
      src) ;;
      src-c) ;;      #deprecated
      data) ;;
      exec) ;;
      *) cp --recursive ${R_PACKAGE_NAME}/${docfile} doc/;;
   esac
done

gzip $RPM_BUILD_ROOT/usr/man/*/* || :

#Create file list
#
echo "%attr(-, root, root) /usr/lib/R/library/${R_PACKAGE_NAME}" > rpm-files
ls doc | sed "s@^@%attr(-,root,root) %doc doc/&@" >> rpm-files

%files -f rpm-files

%clean
rm -rf ${RPM_BUILD_ROOT}/usr/lib/R/library/${R_PACKAGE_NAME}
rm -rf ${RPM_BUILD_ROOT}/${RPM_DOC_DIR}/${RPM_PACKAGE_NAME}-${RPM_PACKAGE_VERSION}

%pre
if [ ! -f ${RPM_INSTALL_PREFIX}/lib/R/library/base/TITLE ] || \
   [ ! -x ${RPM_INSTALL_PREFIX}/lib/R/bin/LIBINDEX ]; then
   echo "Can't find R base in" ${RPM_INSTALL_PREFIX}/lib/R
   exit 1
fi

%post
${RPM_INSTALL_PREFIX}/bin/R LIBINDEX

%postun
if [ $1 = 0 ] ; then 
   ${RPM_INSTALL_PREFIX}/bin/R LIBINDEX
fi

%changelog
* Tue Feb 08 2000 Tim Powers <timp@redhat.com>
- rebuilt against base-0.90.1
- gzip man pages
- no icon, breaks build on build system

* Mon Dec 6 1999 Tim Powers <timp@redhat.com>
- updated to 2.22-3
- quiet setup 
* Thu Jul 29 1999 Tim Powers <timp@redhat.com>
- rebuilt against R-base-0.64.2

* Mon Jun 28 1999 Tim Powers <timp@redhat.com>
- changed release #
- put changelog at the end of the spec
- rebuilt for Powertools 6.1 against R-base-0.64.1

* Wed Apr 21 1999 Michael K. Johnson <johnsonm@redhat.com>
- built into powertools, upgraded to 2.22_2, new group, etc.

